Package org.w3._2000._09.xmldsig

# Class SignedInfo

java.lang.Object
org.w3._2000._09.xmldsig.SignedInfo

All Implemented Interfaces:
  `Serializable`

@Generated(value="com.sun.tools.xjc.Driver", date="2025-09-16T05:08:50+02:00", comments="JAXB RI v4.0.5") public class SignedInfo extends Object implements Serializable

Java class for SignedInfoType complex type

.

The following schema fragment specifies the expected content contained within this class.

     <complexType name="SignedInfoType">
       <complexContent>
         <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
           <sequence>
             <element ref="{http://www.w3.org/2000/09/xmldsig#}CanonicalizationMethod"/>
             <element ref="{http://www.w3.org/2000/09/xmldsig#}SignatureMethod"/>
             <element ref="{http://www.w3.org/2000/09/xmldsig#}Reference" maxOccurs="unbounded"/>
           </sequence>
           <attribute name="Id" type="{http://www.w3.org/2001/XMLSchema}ID" />
         </restriction>
       </complexContent>
     </complexType>

See Also:
  - Serialized Form

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `SignedInfo()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `CanonicalizationMethod`
  `getCanonicalizationMethod()`
  Gets the value of the canonicalizationMethod property.
  `String`
  `getId()`
  Gets the value of the id property.
  `List<Reference>`
  `getReferences()`
  Gets the value of the references property.
  `SignatureMethod`
  `getSignatureMethod()`
  Gets the value of the signatureMethod property.
  `void`
  `setCanonicalizationMethod(CanonicalizationMethod value)`
  Sets the value of the canonicalizationMethod property.
  `void`
  `setId(String value)`
  Sets the value of the id property.
  `void`
  `setSignatureMethod(SignatureMethod value)`
  Sets the value of the signatureMethod property.

  ### Methods inherited from class java.lang.Object

  `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### SignedInfo

    public SignedInfo()

- ## Method Details

  - ### getCanonicalizationMethod

    public CanonicalizationMethod getCanonicalizationMethod()
    Gets the value of the canonicalizationMethod property.
    Returns:
      possible object is `CanonicalizationMethod`

  - ### setCanonicalizationMethod

    public void setCanonicalizationMethod(CanonicalizationMethod value)
    Sets the value of the canonicalizationMethod property.
    Parameters:
      `value` - allowed object is `CanonicalizationMethod`

  - ### getSignatureMethod

    public SignatureMethod getSignatureMethod()
    Gets the value of the signatureMethod property.
    Returns:
      possible object is `SignatureMethod`

  - ### setSignatureMethod

    public void setSignatureMethod(SignatureMethod value)
    Sets the value of the signatureMethod property.
    Parameters:
      `value` - allowed object is `SignatureMethod`

  - ### getReferences

    public List<Reference> getReferences()
    Gets the value of the references property.

    This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the references property.

    For example, to add a new item, do as follows:

         getReferences().add(newItem);

    Objects of the following type(s) are allowed in the list `Reference`

    Returns:
      The value of the references property.

  - ### getId

    public String getId()
    Gets the value of the id property.
    Returns:
      possible object is `String`

  - ### setId

    public void setId(String value)
    Sets the value of the id property.
    Parameters:
      `value` - allowed object is `String`